Name: xchat-ruby
Version: 1.2
Release: 28%{?dist}
Summary: An X-Chat plugin providing scripting functionality with Ruby

Group: Applications/Internet
License: GPLv2+
URL: http://xchat-ruby.sourceforge.net/
Source0: http://downloads.sourceforge.net/xchat-ruby/%{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: xchat-ruby-global-rubyenv.patch
Patch1: xchat-ruby-dont-ignore-cflags.patch
Patch2: xchat-ruby-1.2-fix-null-ptr-deref.diff
Patch3: xchat-ruby-1-2-ruby192-fix.diff
# Remove deprecated usage on ruby 22
Patch4: xchat-ruby-1.2-ruby22-remove-deprecated-usage.patch

BuildRequires: ruby(release)
BuildRequires: ruby-devel ruby ruby(rubygems)
Requires: ruby(release)
Requires: xchat

%description
For those of us that prefer the Ruby programming language above all
others, the XChat-Ruby Plugin now allows X-Chat plugins to be written
in Ruby, in addition to the other supported scripting interfaces. This
means that, for the first time, you can use a purely object-oriented
language in which to write X-Chat plugins.


%prep
%setup -q -n xchat-ruby-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
cd src
CFLAGS="%{optflags} -I`ruby -e 'puts File.join(RbConfig::CONFIG[%q(includedir)], RbConfig::CONFIG[%q(sitearch)])'`" make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
cd src
# xchat-ruby's make install is broken
install -D xchat-ruby.so %{buildroot}%{_libdir}/xchat/plugins/xchat-ruby.so
mkdir -p %{buildroot}%{_sysconfdir}
ruby -e 'puts $:.push(".").join("\n")' > %{buildroot}%{_sysconfdir}/xchat-rubyenv

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xchat-rubyenv
%doc README COPYING
%{_libdir}/xchat/plugins/xchat-ruby.so


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 13 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2-25
- F-26: rebuild for ruby24

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 14 2016 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2-23
- F-24: rebuild against ruby23

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2-21
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_2.2
- Remove deprecated Config:: usage

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Vít Ondruch <vondruch@redhat.com> - 1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Conrad Meyer <cemeyer@uw.edu> - 1.2-16
- Bump requires from old-style ruby(abi) to new-style ruby(release) for 2.0.0

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 4 2012 Conrad Meyer <konrad@tylerc.org> - 1.2-13
- Fix for Ruby 1.9.2 (#828008) from Pallai Roland

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2-12
- Rebuilt for Ruby 1.9.3.

* Fri Feb 3 2012 Conrad Meyer <konrad@tylerc.org> - 1.2-11
- Fix null pointer dereference (#787298 reported by Pallai Roland)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 Conrad Meyer <konrad@tylerc.org> - 1.2-6
- Bump for GCC 4.3 rebuild

* Wed Nov 28 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-5
- SourceURL includes %%{version}
- BuildRequire Ruby 1.8 ABI for consistancy with Require
- Fixed macro in changelog

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-4
- Default load path now contains arch-specific directories

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-3
- Fixed xchat-rubyenv for 64-bit
- Patched Makefile to not ignore CFLAGS

* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with %%{_sysconfdir}

* Fri Nov 17 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- Initial package.
